#ifndef DS00_LIB_H
#define DS00_LIB_H

#ifdef __cplusplus
extern "C" {
#endif

  struct ds00_device_handle_t {
    unsigned char  hw_ver;
    //    unsigned char  pcb_rev;
    //    unsigned int   dev_config;
    unsigned int serial;
    unsigned int pid;
    //    unsigned short sw_ver;
    
    void *dev_handle;
  };
  
  typedef struct ds00_device_handle_t ds00_device_handle;

  ds00_device_handle *ds00_open(void);
  int ds00_close(ds00_device_handle *devh);
  int ds00_reset(ds00_device_handle *devh, int value);

  int ds00_set_contrast(ds00_device_handle *devh, int value);
  int ds00_set_backlight(ds00_device_handle *devh, int value);
  int ds00_set_config(ds00_device_handle *devh, int value);
  
  int ds00_get_fw_version(ds00_device_handle *devh);
  int ds00_get_keys(ds00_device_handle *devh);
  int ds00_get_config(ds00_device_handle *devh);
  int ds00_get_caps(ds00_device_handle *devh, int idx);

  int ds00_cfg_save(ds00_device_handle *devh);

  int ds00_set_gpio(ds00_device_handle *devh, int value);



  int ds00_usb_init(void **ctx);
  void ds00_usb_exit(void *ctx);


  //  int ds00_get_dev_info(libusb_device_handle *devh, struct ds00_info *info);


  //  int ds00_get_dev_config(libusb_device_handle *devh, unsigned char cfg[RFEAT_DEV_CFG_SIZE]);

  //  int tm00_get_debug(libusb_device_handle *devh, unsigned char cfg[RFEAT_DEBUG_SIZE]);

  //  int tm00_reg_write(libusb_device_handle *devh, unsigned char addr, unsigned char data);

  //  int ds00_send_cmd(libusb_device_handle *devh, int cmd);
  //  int ds00_send_cmd1(libusb_device_handle *devh, int cmd, unsigned char d);
  
#ifdef __cplusplus
}
#endif

#endif
